Module java.desktop
Package java.awt.event

# Class TextEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
java.awt.event.TextEvent

All Implemented Interfaces:
  `Serializable`

    public class TextEvent
    extends AWTEvent

A semantic event which indicates that an object's text changed. This high-level event is generated by an object (such as a TextComponent) when its text changes. The event is passed to every `TextListener` object which registered to receive such events using the component's `addTextListener` method.

The object that implements the `TextListener` interface gets this `TextEvent` when the event occurs. The listener is spared the details of processing individual mouse movements and key strokes Instead, it can process a "meaningful" (semantic) event like "text changed".

An unspecified behavior will be caused if the `id` parameter of any particular `TextEvent` instance is not in the range from `TEXT_FIRST` to `TEXT_LAST`.

Since:
  1.1
See Also:
  `TextComponent`, `TextListener`, Serialized Form

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `TEXT_FIRST` | The first number in the range of ids used for text events.
`static int` | `TEXT_LAST` | The last number in the range of ids used for text events.
`static int` | `TEXT_VALUE_CHANGED` | This event id indicates that object's text changed.

### Fields declared in class java.awt.AWTEvent

`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`TextEvent​(Object source, int id)` | Constructs a `TextEvent` object.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `paramString()` | Returns a parameter string identifying this text event.

### Methods declared in class java.awt.AWTEvent

`consume, getID, isConsumed, setSource, toString`

### Methods declared in class java.util.EventObject

`getSource`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TEXT_FIRST

public static final int TEXT_FIRST
The first number in the range of ids used for text events.

See Also:
  Constant Field Values

### TEXT_LAST

public static final int TEXT_LAST
The last number in the range of ids used for text events.

See Also:
  Constant Field Values

### TEXT_VALUE_CHANGED

public static final int TEXT_VALUE_CHANGED
This event id indicates that object's text changed.

See Also:
  Constant Field Values

## Constructor Details

### TextEvent

public TextEvent​(Object source, int id)
Constructs a `TextEvent` object.

This method throws an `IllegalArgumentException` if `source` is `null`.

Parameters:
  `source` - The (`TextComponent`) object that originated the event
  `id` - An integer that identifies the event type. For information on allowable values, see the class description for `TextEvent`
Throws:
  `IllegalArgumentException` - if `source` is null
See Also:
  `EventObject.getSource()`, `AWTEvent.getID()`

## Method Details

### paramString

public String paramString()
Returns a parameter string identifying this text event. This method is useful for event-logging and for debugging.

Overrides:
  `paramString` in class `AWTEvent`
Returns:
  a string identifying the event and its attributes